BEGIN{unshift @INC, "./lib";}
$Verbose=1;
use ExtUtils::MakeMaker qw(:DEFAULT $Version);
WriteMakefile(
	      NAME => "ExtUtils::MakeMaker",
	      DISTNAME => "MakeMaker",
	      VERSION => $Version,
	      SKIP => [qw(static dynamic)],
	      'linkext' => {LINKTYPE => '' },
	      'dist' => {COMPRESS=>'gzip -9f', SUFFIX=>'gz', 
			     DIST_DEFAULT => 'all uutardist'},
	      'clean' => {FILES => 'lib/ExtUtils/*~'},
	      'macro' => {CONFIGDEP => '$(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h lib/ExtUtils/MakeMaker.pm'}
	     );
