BEGIN{unshift @INC, "./lib";}
use ExtUtils::MakeMaker qw(:DEFAULT $Version);

WriteMakefile(
	      CONFIGURE => sub {$Verbose = 1; {VERSION => $Version}; }, # demo
	      NAME => "ExtUtils::MakeMaker",
	      DISTNAME => "MakeMaker",

#outcommented for demo:
#	      VERSION => $Version,

	      SKIP => [qw(static dynamic)],
	      'linkext' => {LINKTYPE => '' },
	      'dist' => {COMPRESS=>'gzip -9f', SUFFIX=>'gz', 
			     DIST_DEFAULT => 'all uutardist'},
	      'macro' => {CONFIGDEP => '$(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h lib/ExtUtils/MakeMaker.pm'}
	     );




