BEGIN{unshift @INC, "./lib";}
use ExtUtils::MakeMaker qw(:DEFAULT $Version);

WriteMakefile(
	      'CONFIGURE' => sub {$Verbose = 1; {VERSION => $Version}; }, # demo
	      NAME => "ExtUtils::MakeMaker",
	      DISTNAME => "MakeMaker",

#outcommented for demo:
#	      VERSION => $Version,

	      SKIP => [qw(static dynamic)],
	      'linkext' => {LINKTYPE => '' },
	      'dist' => {COMPRESS=>'gzip -9f', SUFFIX=>'gz', 
			     DIST_DEFAULT => 'all tardist'},
	      'macro' => {CONFIGDEP => '$(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h lib/ExtUtils/MakeMaker.pm'}
	     );




#sub MY::test {
#    <<'END';
#test:
#	 @echo No tests to be applied for ExtUtils::MakeMaker
#END
#}
