BEGIN{unshift @INC, "./lib";}
use ExtUtils::MakeMaker;
$Verbose++ if $ENV{USER} eq "k";

# $Id: Makefile.PL,v 1.15 1996/02/29 07:59:10 k Exp $

WriteMakefile(
	      INSTALLDIRS => 'perl',   # As it is a standard module,
                                       # it should overwrite the one
                                       # that comes with perl
	      PERL_LIB => './lib',     # kludge needed only for
                                       # MakeMaker, so it can install
                                       # itself
	      VERSION_FROM => 'lib/ExtUtils/MakeMaker.pm',
	      NAME      => "ExtUtils::MakeMaker",
	      DISTNAME  => "MakeMaker",
	      dist      => {
			    PREOP => 'perl verifydist',
			    COMPRESS=>'gzip -9f',
			    SUFFIX=>'gz', 
			    DIST_DEFAULT => 'all tardist'
			   },
	     );


sub MY::post_initialize {
    my $self = shift;
    my $autodir = $self->catdir('$(INST_LIB)','auto');
    return q{
all ::
	}.$self->{NOECHO}.q{$(MKPATH) }.$autodir.q{
	$(PERL) -MAutoSplit -e 'autosplit("lib/ExtUtils/Install.pm","}.$autodir.q{");'

};
}
